Developer docs menu

API reference / Accounting

Accounting API

60 endpoints. Scopes: Scalar360.accounting.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.

GET

Get balance sheet

/api/v1/accounting/balance-sheet

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
asOfquerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/balance-sheet" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Accounts

/api/v1/accounting/bank-reconciliation/accounts

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/accounts" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create account

/api/v1/accounting/bank-reconciliation/accounts

Scope: Scalar360.accounting.CREATE

Body fieldTypeRequiredNotes
namestringYesrequired
bankNamestring
accountNumberstring
openingBalancenumber
activeboolean
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/accounts" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'
PUT

Update account

/api/v1/accounting/bank-reconciliation/accounts/{id}

Scope: Scalar360.accounting.UPDATE

ParameterInTypeRequired
idpathstring (uuid)Yes
Body fieldTypeRequiredNotes
namestringYesrequired
bankNamestring
accountNumberstring
openingBalancenumber
activeboolean
Example request
curl -X PUT "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/accounts/{id}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","bankName":"string","accountNumber":"string","openingBalance":100,"active":true}'
DELETE

Delete account

/api/v1/accounting/bank-reconciliation/accounts/{id}

Scope: Scalar360.accounting.DELETE

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/accounts/{id}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Imports

/api/v1/accounting/bank-reconciliation/imports

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Import statement

/api/v1/accounting/bank-reconciliation/imports

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
labelquerystringNo
bankAccountIdquerystring (uuid)No
openingBalancequerynumberNo
closingBalancequerynumberNo
mappingquerystringNo

Request body: multipart/form-data with a file field.

Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -F "file=@/path/to/file"
DELETE

Delete import

/api/v1/accounting/bank-reconciliation/imports/{id}

Scope: Scalar360.accounting.DELETE

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports/{id}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Auto match

/api/v1/accounting/bank-reconciliation/imports/{id}/auto-match

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports/{id}/auto-match" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Lines

/api/v1/accounting/bank-reconciliation/imports/{id}/lines

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports/{id}/lines" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Reconcile matched

/api/v1/accounting/bank-reconciliation/imports/{id}/reconcile-matched

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports/{id}/reconcile-matched" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Summary

/api/v1/accounting/bank-reconciliation/imports/{id}/summary

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
idpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/imports/{id}/summary" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Adjust

/api/v1/accounting/bank-reconciliation/lines/{lineId}/adjust

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
lineIdpathstring (uuid)Yes
Body fieldTypeRequiredNotes
accountKeystring
notestring
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/lines/{lineId}/adjust" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"accountKey":"string","note":"string"}'
GET

Candidates

/api/v1/accounting/bank-reconciliation/lines/{lineId}/candidates

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
lineIdpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/lines/{lineId}/candidates" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Ignore

/api/v1/accounting/bank-reconciliation/lines/{lineId}/ignore

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
lineIdpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/lines/{lineId}/ignore" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Match

/api/v1/accounting/bank-reconciliation/lines/{lineId}/match

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
lineIdpathstring (uuid)Yes
Body fieldTypeRequiredNotes
typestring
paymentIdstring (uuid)
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/lines/{lineId}/match" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"type":"string","paymentId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"}'
POST

Unmatch

/api/v1/accounting/bank-reconciliation/lines/{lineId}/unmatch

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
lineIdpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/lines/{lineId}/unmatch" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Preview

/api/v1/accounting/bank-reconciliation/preview

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
bankAccountIdquerystring (uuid)No

Request body: multipart/form-data with a file field.

Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/preview" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -F "file=@/path/to/file"
GET

Template

/api/v1/accounting/bank-reconciliation/template

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
formatquerystring (default csv)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/bank-reconciliation/template" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get day book

/api/v1/accounting/day-book

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodquerystring (default month)No
pagequeryinteger (default 1)No
pageSizequeryinteger (default 10)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/day-book" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Export day book

/api/v1/accounting/day-book/export

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodquerystring (default month)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/day-book/export" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Account types

/api/v1/accounting/gl/account-types

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/account-types" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Accounts

/api/v1/accounting/gl/accounts

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
asOfquerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/accounts" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create account

/api/v1/accounting/gl/accounts

Scope: Scalar360.accounting.CREATE

Body fieldTypeRequiredNotes
codestringYesrequired, not blank
namestringYesrequired, not blank
typestring
subtypestring
parentCodestring
descriptionstring
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gl/accounts" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"code":"string","name":"string"}'
PUT

Update account

/api/v1/accounting/gl/accounts/{code}

Scope: Scalar360.accounting.UPDATE

ParameterInTypeRequired
codepathstringYes
Body fieldTypeRequiredNotes
codestring
namestring
subtypestring
parentCodestring
descriptionstring
activeboolean
Example request
curl -X PUT "https://api.scalar360.com/api/v1/accounting/gl/accounts/{code}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"code":"string","name":"string","subtype":"string","parentCode":"string","description":"string","active":true}'
DELETE

Delete account

/api/v1/accounting/gl/accounts/{code}

Scope: Scalar360.accounting.DELETE

ParameterInTypeRequired
codepathstringYes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/accounting/gl/accounts/{code}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Account transactions

/api/v1/accounting/gl/accounts/{code}/transactions

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
codepathstringYes
fromquerystring (date)No
toquerystring (date)No
qquerystringNo
orderquerystring (default asc)No
pagequeryinteger (default 0)No
sizequeryinteger (default 50)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/accounts/{code}/transactions" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Account transactions csv

/api/v1/accounting/gl/accounts/{code}/transactions.csv

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
codepathstringYes
fromquerystring (date)No
toquerystring (date)No
qquerystringNo
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/accounts/{code}/transactions.csv" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Balance sheet

/api/v1/accounting/gl/balance-sheet

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
asOfquerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/balance-sheet" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Chart of accounts

/api/v1/accounting/gl/chart-of-accounts

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/chart-of-accounts" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Journal

/api/v1/accounting/gl/journal

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
fromquerystring (date)No
toquerystring (date)No
sourceTypequerystringNo
pagequeryinteger (default 0)No
sizequeryinteger (default 25)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/journal" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create journal entry

/api/v1/accounting/gl/journal-entries

Scope: Scalar360.accounting.CREATE

Body fieldTypeRequiredNotes
datestring (date)
narrationstring
linesarray of objectYesrequired, not empty, min length 2
lines[].accountCodestring
lines[].debitnumber
lines[].creditnumber
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gl/journal-entries" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"lines":[{"accountCode":"string","debit":100,"credit":100}]}'
POST

Reverse journal entry

/api/v1/accounting/gl/journal-entries/{id}/reverse

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
idpathstring (uuid)Yes
Body fieldTypeRequiredNotes
datestring (date)
reasonstring
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gl/journal-entries/{id}/reverse" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"date":"2026-10-12","reason":"string"}'
GET

Opening balances

/api/v1/accounting/gl/opening-balances

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/opening-balances" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Save opening balances

/api/v1/accounting/gl/opening-balances

Scope: Scalar360.accounting.CREATE

Body fieldTypeRequiredNotes
datestring (date)
linesarray of object
lines[].accountCodestring
lines[].debitnumber
lines[].creditnumber
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gl/opening-balances" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"date":"2026-10-12","lines":[{"accountCode":"string","debit":100,"credit":100}]}'
GET

Period lock

/api/v1/accounting/gl/period-lock

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/period-lock" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
PUT

Set period lock

/api/v1/accounting/gl/period-lock

Scope: Scalar360.accounting.UPDATE

Body fieldTypeRequiredNotes
lockUntilstring (date)
reasonstring
Example request
curl -X PUT "https://api.scalar360.com/api/v1/accounting/gl/period-lock" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"lockUntil":"2026-10-12","reason":"string"}'
GET

Period lock history

/api/v1/accounting/gl/period-lock/history

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/period-lock/history" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Profit loss

/api/v1/accounting/gl/profit-loss

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
fromquerystring (date)No
toquerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/profit-loss" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Rebuild

/api/v1/accounting/gl/rebuild

Scope: Scalar360.accounting.CREATE

Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gl/rebuild" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Trial balance

/api/v1/accounting/gl/trial-balance

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
asOfquerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gl/trial-balance" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Gstr1

/api/v1/accounting/gst/gstr1

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
fromquerystring (date)Yes
toquerystring (date)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gst/gstr1" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

File

/api/v1/accounting/gst/gstr1/file

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
periodqueryobjectYes
Body fieldTypeRequiredNotes
arnstringmax length 100
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gst/gstr1/file" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"arn":"string"}'
GET

Filing status

/api/v1/accounting/gst/gstr1/filing-status

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodqueryobjectYes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gst/gstr1/filing-status" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Gstr1 gstn json

/api/v1/accounting/gst/gstr1/gstn-json

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodqueryobjectYes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gst/gstr1/gstn-json" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Reopen

/api/v1/accounting/gst/gstr1/reopen

Scope: Scalar360.accounting.CREATE

ParameterInTypeRequired
periodqueryobjectYes
Body fieldTypeRequiredNotes
datestring (date)
reasonstringYesrequired, not blank, max length 500
Example request
curl -X POST "https://api.scalar360.com/api/v1/accounting/gst/gstr1/reopen" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"reason":"string"}'
GET

Gstr3b

/api/v1/accounting/gst/gstr3b

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
fromquerystring (date)Yes
toquerystring (date)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/gst/gstr3b" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get bank ledger

/api/v1/accounting/ledgers/bank

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/bank" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get cash ledger

/api/v1/accounting/ledgers/cash

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/cash" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get cgst ledger

/api/v1/accounting/ledgers/cgst

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/cgst" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get creditors ledger

/api/v1/accounting/ledgers/creditors

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/creditors" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get debtors ledger

/api/v1/accounting/ledgers/debtors

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/debtors" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get igst ledger

/api/v1/accounting/ledgers/igst

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/igst" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get input tax ledger

/api/v1/accounting/ledgers/input-{head}

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
headpathstringYes
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/input-{head}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get purchase ledger

/api/v1/accounting/ledgers/purchase

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/purchase" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get sales ledger

/api/v1/accounting/ledgers/sales

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/sales" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get sgst ledger

/api/v1/accounting/ledgers/sgst

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
qquerystringNo
pagequeryintegerNo
pageSizequeryintegerNo
sortByquerystringNo
sortDirquerystringNo
startDatequerystring (date)No
endDatequerystring (date)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/sgst" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get summary

/api/v1/accounting/ledgers/summary

Scope: Scalar360.accounting.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/ledgers/summary" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Get profit loss

/api/v1/accounting/profit-loss

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodquerystring (default month)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/profit-loss" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Export profit loss

/api/v1/accounting/profit-loss/export

Scope: Scalar360.accounting.READ

ParameterInTypeRequired
periodquerystring (default month)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/accounting/profit-loss/export" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"